
From: mikem@beardog.cca.cpqcorp.net

This patch fixes a bug where under certain error conditions we bail and try
to free our I/O memory.  This patch is in the 2.4 tree.



---

 drivers/block/cciss.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/block/cciss.c~cciss-02-release_io_mem-fix drivers/block/cciss.c
--- 25/drivers/block/cciss.c~cciss-02-release_io_mem-fix	2004-02-04 20:21:14.000000000 -0800
+++ 25-akpm/drivers/block/cciss.c	2004-02-04 20:21:14.000000000 -0800
@@ -2234,7 +2234,7 @@ static int cciss_pci_init(ctlr_info_t *c
 #endif /* CCISS_DEBUG */
 	if (cfg_base_addr_index == -1) {
 		printk(KERN_WARNING "cciss: Cannot find cfg_base_addr_index\n");
-		release_io_mem(hba[i]);
+		release_io_mem(c);
 		return -1;
 	}
 

_
